Subject: Re: bonding can't change to another slave if you ifdown the active slave

From: WANG Cong <[email-masked]>
Date: Tue, 8 Mar 2011 12:51:54 +0000 (UTC)

On Tue, 08 Mar 2011 14:52:52 +0800, Weiping Pan wrote:

> ok, I use "Host-only mode" and get
> 
> 
> 
> an conclusion, that if the first enslaved nic is pulled out, bonding
> can't handle well.
> 
> First test.
> I first enslave eth6, then pull it out, bonding doesn't work. on host,
...
> 
> 
> Second test
> I first enslave eth6, then pull eth7 out, bonding works well. on guest,

Can you show me your /proc/net/bonding/bond0 before and after pulling down
eth6 or eth7? And what does `ip link show` say?